## dolphin-plugins 4.13.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(dolphin-plugins)
find_package(KDE4 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES} ${KDEPIMLIBS_INCLUDE_DIR})

macro_optional_find_package(LibKonq REQUIRED)
macro_log_feature(LIBKONQ_FOUND "KDE-Base/LibKonq" "Provides high-level file management functions." "http://dolphin.kde.org/" FALSE "" "Required to build the Dolphin version control plugins.")

if(LIBKONQ_FOUND)
  macro_optional_add_subdirectory(svn)
  macro_optional_add_subdirectory(git)
  macro_optional_add_subdirectory(hg)
  macro_optional_add_subdirectory(bazaar)
  macro_optional_add_subdirectory(dropbox)
endif(LIBKONQ_FOUND)
macro_display_feature_log()

## dolphin-plugins 4.11.2

=== debian/changelog ===
dolphin-plugins (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 13:55:22 +0100

dolphin-plugins (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 06 Sep 2013 22:03:47 +0100

dolphin-plugins (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 13 Aug 2013 23:55:14 +0100

dolphin-plugins (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release
  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:02:00 +0100

dolphin-plugins (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:31:40 +0000

dolphin-plugins (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 17:57:29 +0100

dolphin-plugins (4:4.10.80-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Initial package, split from dolphin-plugins

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Jun 2013 02:40:41 +0100

=== debian/control ===
Source: dolphin-plugins
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
 cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.11.2), libkonq5-dev (>= 4:4.11.2)
Standards-Version: 3.9.4
Homepage: http://www.kde.org
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/dolphin-plugins
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/dolphin-plugins

Package: kdesdk-dolphin-plugins
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}, dolphin
Replaces: dolphin (<< 4:4.5.0)
Enhances: dolphin
Description: dolphin VCS plugins
 This package contains plugins that offer integration in Dolphin with the
 following version control systems:
 .
  * Bzr
  * Git
  * Mercurial
  * Subversion
 .
 This package is part of the KDE Software Development Kit module.

Package: kdesdk-dolphin-plugins-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kde-runtime-dbg, kate-dbg, kdesdk-dolphin-plugins (= ${binary:Version})
Replaces: kdeutils-dbg (<< 4:4.6), kdesdk-dbg
Breaks: kdeutils-dbg (<< 4:4.6), kdesdk-dbg
Description: debugging symbols for the KDE Software Development Kit module
 This package contains debugging files used to investigate problems with
 binaries included in the KDE Software Development Kit module.

## dolphin-plugins 4.11.3

=== debian/changelog ===
dolphin-plugins (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 09 Nov 2013 14:25:40 +0100

dolphin-plugins (4:4.11.2-1) experimental; urgency=low

  * First release of kdesdk after being split by upstream.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 08 Oct 2013 10:59:29 +0200

=== debian/control ===
Source: dolphin-plugins
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.11),
 cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.11),
 libkonq5-dev
Standards-Version: 3.9.4
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/dolphin-plugins.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/dolphin-plugins.git

Package: kdesdk-dolphin-plugins
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}, dolphin
Replaces: dolphin (<< 4:4.5.0)
Enhances: dolphin
Description: dolphin VCS plugins
 This package contains plugins that offer integration in Dolphin with the
 following version control systems:
 .
  * Bzr
  * Git
  * Mercurial
  * Subversion
 .
 This package is part of the KDE Software Development Kit module.

## dolphin-plugins 4.13.0

=== debian/changelog ===
dolphin-plugins (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 21:35:05 +0100

dolphin-plugins (4:4.12.97-0ubuntu2) trusty; urgency=medium

  * Batch import fixes between 4.12.97 and current git KDE/4.13 in
    debian/patches/upstream_git/ 
    + KDE Bug: #332481

 -- Harald Sitter <apachelogger@kubuntu.org>  Wed, 09 Apr 2014 16:17:47 +0200

dolphin-plugins (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:06:23 +0200

dolphin-plugins (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 11:53:25 +0100

dolphin-plugins (4:4.12.90-0ubuntu1) trusty; urgency=medium

  [ Jonathan Riddell ]
  * New upstream beta release

  [ Philip Muškovac ]
  * Add fileviewdropboxplugin to install file

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 10:33:02 +0000

dolphin-plugins (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 20:25:29 +0100

dolphin-plugins (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Feb 2014 23:34:26 +0000

dolphin-plugins (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 07:54:23 +0000

dolphin-plugins (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 16:21:44 +0000

dolphin-plugins (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 12:27:48 +0000

dolphin-plugins (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 17:39:19 +0100

dolphin-plugins (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:25:11 +0100

=== debian/control ===
Source: dolphin-plugins
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
 cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.13.0), libkonq5-dev (>= 4:4.13.0)
Standards-Version: 3.9.4
Homepage: http://www.kde.org
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/dolphin-plugins
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/dolphin-plugins

Package: kdesdk-dolphin-plugins
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}, dolphin
Replaces: dolphin (<< 4:4.5.0)
Enhances: dolphin
Description: dolphin VCS plugins
 This package contains plugins that offer integration in Dolphin with the
 following version control systems:
 .
  * Bzr
  * Git
  * Mercurial
  * Subversion
 .
 This package is part of the KDE Software Development Kit module.

Package: kdesdk-dolphin-plugins-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kde-runtime-dbg, kate-dbg, kdesdk-dolphin-plugins (= ${binary:Version})
Replaces: kdeutils-dbg (<< 4:4.6), kdesdk-dbg
Breaks: kdeutils-dbg (<< 4:4.6), kdesdk-dbg
Description: debugging symbols for the KDE Software Development Kit module
 This package contains debugging files used to investigate problems with
 binaries included in the KDE Software Development Kit module.

## dolphin-plugins 4.13.3

=== dropbox/CMakeLists.txt ===
project(fileviewdropboxplugin)

include_directories( ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} ${LIBKONQ_INCLUDE_DIR} )

set(fileviewdropboxplugin_SRCS
    fileviewdropboxplugin.cpp
)

kde4_add_plugin(fileviewdropboxplugin  ${fileviewdropboxplugin_SRCS})
target_link_libraries(fileviewdropboxplugin ${KDE4_KIO_LIBS} ${LIBKONQ_LIBRARY})
install(FILES fileviewdropboxplugin.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(TARGETS fileviewdropboxplugin DESTINATION ${PLUGIN_INSTALL_DIR})

=== hg/CMakeLists.txt ===
project(fileviewhgplugin)

include_directories( ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} ${LIBKONQ_INCLUDE_DIR} ${QIMAGEBLITZ_INCLUDES} )

set(fileviewhgplugin_SRCS
    fileviewhgplugin.cpp
    renamedialog.cpp
    commitdialog.cpp
    hgwrapper.cpp
    statuslist.cpp
    branchdialog.cpp
    tagdialog.cpp
    updatedialog.cpp
    clonedialog.cpp
    createdialog.cpp
    syncdialogbase.cpp
    mergedialog.cpp
    pushdialog.cpp
    pulldialog.cpp
    hgconfig.cpp
    configdialog.cpp
    commititemdelegate.cpp
    commitinfowidget.cpp
    pathselector.cpp
    bundledialog.cpp
    exportdialog.cpp
    importdialog.cpp
    servedialog.cpp
    servewrapper.cpp
    backoutdialog.cpp
    config-widgets/generalconfig.cpp
    config-widgets/pathconfig.cpp
    config-widgets/ignorewidget.cpp
    config-widgets/pluginsettings.cpp
)

kde4_add_kcfg_files(fileviewhgplugin_SRCS fileviewhgpluginsettings.kcfgc)
kde4_add_plugin(fileviewhgplugin  ${fileviewhgplugin_SRCS})
target_link_libraries(fileviewhgplugin ${KDE4_KIO_LIBS} ${LIBKONQ_LIBRARY} ${KDE4_KTEXTEDITOR_LIBS} )
install(FILES fileviewhgplugin.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(FILES fileviewhgpluginsettings.kcfg DESTINATION ${KCFG_INSTALL_DIR})
install(TARGETS fileviewhgplugin DESTINATION ${PLUGIN_INSTALL_DIR})

=== svn/CMakeLists.txt ===
project(fileviewsvnplugin)

include_directories( ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} ${LIBKONQ_INCLUDE_DIR} ${QIMAGEBLITZ_INCLUDES} )

set(fileviewsvnplugin_SRCS fileviewsvnplugin.cpp)
kde4_add_kcfg_files(fileviewsvnplugin_SRCS fileviewsvnpluginsettings.kcfgc)
kde4_add_plugin(fileviewsvnplugin  ${fileviewsvnplugin_SRCS})
target_link_libraries(fileviewsvnplugin ${KDE4_KIO_LIBS} ${LIBKONQ_LIBRARY})
install(FILES fileviewsvnplugin.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(FILES fileviewsvnpluginsettings.kcfg DESTINATION ${KCFG_INSTALL_DIR})
install(TARGETS fileviewsvnplugin DESTINATION ${PLUGIN_INSTALL_DIR})

=== debian/changelog ===
dolphin-plugins (4:4.13.3-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1349296)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 04 Aug 2014 20:19:36 +0200

dolphin-plugins (4:4.13.2-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1327591)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 18 Jun 2014 12:45:24 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.13.0), libkonq5-dev (>= 4:4.13.0)
+ kdelibs5-dev (>= 4:4.13.3), libkonq5-dev (>= 4:4.13.3)
 Standards-Version: 3.9.4
 Homepage: http://www.kde.org
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/dolphin-plugins

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=kdesdk-dolphin-plugins-dbg

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg(\.\d+)?$// \
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/dolphin-plugins-([\d\.]*).tar.xz

## dolphin-plugins 4.14.1

=== debian/changelog ===
dolphin-plugins (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 16:24:02 +0200

dolphin-plugins (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 12:28:56 +0200

dolphin-plugins (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:08:22 +0200

dolphin-plugins (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 17:22:36 +0200

dolphin-plugins (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 17:22:58 +0200

dolphin-plugins (4:4.13.2-0ubuntu1) utopic; urgency=medium

  [ Rohan Garg ]
  * Merge with Debian, no remaining changes

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 11:39:53 +0100

dolphin-plugins (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 May 2014 13:34:38 +0200

dolphin-plugins (4:4.12.4-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:24:09 +0200

dolphin-plugins (4:4.12.2-1) experimental; urgency=medium

  * Bump Standards-Version to 3.9.5, no changes needed.
  * New upstream release.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:06 +0100

=== debian/control ===
Source: dolphin-plugins
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.14.1),
               libkonq5-dev,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
Homepage: http://www.kde.org/
X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/dolphin-plugins.git
X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/dolphin-plugins.git

Package: kdesdk-dolphin-plugins
Architecture: any
Section: devel
Depends: dolphin, ${misc:Depends}, ${shlibs:Depends}
Replaces: dolphin (<< 4:4.5.0)
Enhances: dolphin
Description: dolphin VCS plugins
 This package contains plugins that offer integration in Dolphin with the
 following version control systems:
 .
  * Bzr
  * Git
  * Mercurial
  * Subversion
 .
 This package is part of the KDE Software Development Kit module.

## dolphin-plugins 4.14.2

=== debian/changelog ===
dolphin-plugins (4:4.14.2-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * trusty backport

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 16:35:17 +0200

dolphin-plugins (4:4.14.2-0ubuntu1~ubuntu14.10~ppa1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 03:44:39 -0700

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.1),
+               kde-sc-dev-latest (>= 4:4.11),
+               kdelibs5-dev (>= 4:4.14.2),
                libkonq5-dev,
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.5

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/dolphin-plugins-([\d\.]*).tar.xz

## dolphin-plugins 14.12.3

=== debian/changelog ===
dolphin-plugins (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 14:17:49 -0700

dolphin-plugins (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 09:12:14 -0800

dolphin-plugins (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 16:54:54 +0100

dolphin-plugins (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream release candidate

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 02 Dec 2014 09:59:19 -0800

dolphin-plugins (4:14.11.95-0ubuntu2) vivid; urgency=medium

  * Fix Watch file applications locations 
  * Fix VCS for new kde-applications location 
  * Remove X-Ubuntu entries no longer applicable from control file.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 24 Nov 2014 08:33:41 -0800

dolphin-plugins (4:14.11.95-0ubuntu1) vivid; urgency=medium

  * Initial release for KDE applications 14.12 series 
   - Change maintainer to Debian/Kubuntu
  * Debian merge, no remaining changes. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Sat, 22 Nov 2014 08:18:34 +0000

dolphin-plugins (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 03:44:39 -0700

dolphin-plugins (4:4.13.3-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 30 Jul 2014 16:09:30 +0200

=== debian/control ===
Source: dolphin-plugins
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev,
               libkonq5-dev,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/dolphin-plugins.git/
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/dolphin-plugins.git

Package: kdesdk-dolphin-plugins
Architecture: any
Section: devel
Depends: dolphin, ${misc:Depends}, ${shlibs:Depends}
Replaces: dolphin (<< 4:4.5.0)
Enhances: dolphin
Description: dolphin VCS plugins
 This package contains plugins that offer integration in Dolphin with the
 following version control systems:
 .
  * Bzr
  * Git
  * Mercurial
  * Subversion
 .
 This package is part of the KDE Software Development Kit module.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/dolphin-plugins-([\d.]+).tar.xz

http://download.kde.org/unstable/applications/([\d.]+)/src/dolphin-plugins-([\d.]+).tar.xz

## dolphin-plugins 15.08.2

=== debian/changelog ===
dolphin-plugins (4:15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 11:49:52 +0100

dolphin-plugins (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 16:06:51 +0100

dolphin-plugins (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 16:57:52 +0100

dolphin-plugins (4:15.07.90-0ubuntu1) wily; urgency=medium

  * New upstream release
  * Port packaging to frameworks 5
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 09:28:00 +0100

dolphin-plugins (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 18:25:50 +0200

=== debian/control ===
--- 
+++ 
@@ -9,20 +9,23 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev,
-               libkonq5-dev,
-               pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.5
+               extra-cmake-modules,
+               kio-dev,
+               libdolphinvcs-dev,
+               libkf5i18n-dev,
+               libkf5kdelibs4support-dev,
+               libkf5xmlgui-dev,
+               pkg-kde-tools (>= 0.12),
+               qtbase5-dev
+Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/dolphin-plugins.git/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/dolphin-plugins.git
 
-Package: kdesdk-dolphin-plugins
+Package: dolphin-plugins
 Architecture: any
 Section: devel
 Depends: dolphin, ${misc:Depends}, ${shlibs:Depends}
-Replaces: dolphin (<< 4:4.5.0)
 Enhances: dolphin
 Description: dolphin VCS plugins
  This package contains plugins that offer integration in Dolphin with the
@@ -34,3 +37,11 @@
   * Subversion
  .
  This package is part of the KDE Software Development Kit module.
+
+Package: kdesdk-dolphin-plugins
+Architecture: all
+Section: oldlibs
+Priority: extra
+Depends: dolphin-plugins
+Description: transitional dummy package for dolphin-plugins
+ Transitional package for rename to dolphin-plugins.

## dolphin-plugins 15.12.3

=== CMakeLists.txt ===
project(dolphin-plugins)

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)

include(FeatureSummary)

set(QT_MIN_VERSION "5.0.0")
set(KF5_MIN_VERSION "5.0.0")
set(ECM_MIN_VERSION "0.0.11")

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    Widgets
    Network
)

find_package(ECM ${ECM_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    XmlGui
    I18n
    KIO
    KDELibs4Support
)

find_package(DolphinVcs)
set_package_properties(DolphinVcs PROPERTIES
    DESCRIPTION "the Dolphin version control plugin library"
    URL "http://dolphin.kde.org/"
    TYPE REQUIRED
    PURPOSE "Provides the version control plugin interface."
)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(ECMMarkNonGuiExecutable)
include(ECMOptionalAddSubdirectory)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

ecm_optional_add_subdirectory(svn)
ecm_optional_add_subdirectory(git)
ecm_optional_add_subdirectory(bazaar)
ecm_optional_add_subdirectory(dropbox)
ecm_optional_add_subdirectory(hg)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
dolphin-plugins (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 14:53:19 -0700

dolphin-plugins (4:15.12.1-0ubuntu1) xenial; urgency=medium

  [ Clive Johnston ]
  * New upstream release

  [ Philip Muškovac ]
  * Merge with debian git master
  * Build-depend on libkf5texteditor-dev

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 10:23:28 +0100

dolphin-plugins (4:15.08.2-1) unstable; urgency=medium

  * New upstream release (15.08.2).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 Oct 2015 08:07:23 +0200

dolphin-plugins (4:15.08.1-1) unstable; urgency=medium

  * New upstream release (15.08.1).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 02:45:16 +0200

dolphin-plugins (4:15.08.0-1) experimental; urgency=medium

  * Initial Debian release.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 06 Sep 2015 17:04:23 +0200

dolphin-plugins (4:14.12.3-1) experimental; urgency=medium

  * New upstream release (14.12.3).
  * Bump Standards-Version to 3.9.6.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 29 Mar 2015 15:13:46 +0200

=== debian/control ===
--- 
+++ 
@@ -7,20 +7,21 @@
            Modestas Vainius <modax@debian.org>,
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
            Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
+Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules,
-               kio-dev,
+               extra-cmake-modules (>= 0.0.11~),
+               kio-dev (>= 5.0.0~),
                libdolphinvcs-dev,
-               libkf5i18n-dev,
-               libkf5kdelibs4support-dev,
-               libkf5xmlgui-dev,
+               libkf5i18n-dev (>= 5.0.0~),
+               libkf5kdelibs4support-dev (>= 5.0.0~),
+               libkf5texteditor-dev (>= 5.0.0~),
+               libkf5xmlgui-dev (>= 5.0.0~),
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev
+               qtbase5-dev (>= 5.0.0~)
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/dolphin-plugins.git/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/dolphin-plugins.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/dolphin-plugins.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/dolphin-plugins.git
 
 Package: dolphin-plugins
 Architecture: any

## dolphin-plugins 16.04.0

=== debian/changelog ===
dolphin-plugins (4:16.04.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8

  [ Maximiliano Curia ]
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Mon, 30 May 2016 10:49:23 +0200

dolphin-plugins (4:15.12.0-1) experimental; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:22:40 +0100

=== debian/control ===
--- 
+++ 
@@ -14,14 +14,14 @@
                libdolphinvcs-dev,
                libkf5i18n-dev (>= 5.0.0~),
                libkf5kdelibs4support-dev (>= 5.0.0~),
-               libkf5texteditor-dev (>= 5.0.0~),
+               libkf5texteditor-dev,
                libkf5xmlgui-dev (>= 5.0.0~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.0.0~)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/dolphin-plugins.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/dolphin-plugins.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/dolphin-plugins.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/dolphin-plugins.git
 
 Package: dolphin-plugins
 Architecture: any

## dolphin-plugins 16.04.3

=== debian/changelog ===
dolphin-plugins (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * Fix merge, update build dep versions. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:36:04 +0200

=== debian/control ===
--- 
+++ 
@@ -9,19 +9,19 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 0.0.11~),
-               kio-dev (>= 5.0.0~),
-               libdolphinvcs-dev,
-               libkf5i18n-dev (>= 5.0.0~),
-               libkf5kdelibs4support-dev (>= 5.0.0~),
-               libkf5texteditor-dev,
-               libkf5xmlgui-dev (>= 5.0.0~),
+               extra-cmake-modules (>= 5.24.0~),
+               kio-dev (>= 5.24.0~),
+               libdolphinvcs-dev (>= 4:16.04.3~),
+               libkf5i18n-dev (>= 5.24.0~),
+               libkf5kdelibs4support-dev (>= 5.24.0~),
+               libkf5texteditor-dev (>= 5.24.0~),
+               libkf5xmlgui-dev (>= 5.24.0~),
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.0.0~)
-Standards-Version: 3.9.8
+               qtbase5-dev (>= 5.6.1~)
+Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/dolphin-plugins.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/dolphin-plugins.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin-plugins
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin-plugins
 
 Package: dolphin-plugins
 Architecture: any

## dolphin-plugins 16.08.3

=== debian/changelog ===
dolphin-plugins (4:16.08.3-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (16.08.3)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 20:50:10 +0100

dolphin-plugins (4:16.08.0-1) unstable; urgency=medium

  * New upstream release (16.08.0)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 12:35:18 +0200

=== debian/control ===
--- 
+++ 
@@ -9,19 +9,20 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.24.0~),
-               kio-dev (>= 5.24.0~),
-               libdolphinvcs-dev (>= 4:16.04.3~),
-               libkf5i18n-dev (>= 5.24.0~),
-               libkf5kdelibs4support-dev (>= 5.24.0~),
-               libkf5texteditor-dev (>= 5.24.0~),
-               libkf5xmlgui-dev (>= 5.24.0~),
+               extra-cmake-modules (>= 0.0.11~),
+               kio-dev (>= 5.0.0~),
+               libdolphinvcs-dev,
+               libkf5i18n-dev (>= 5.0.0~),
+               libkf5kdelibs4support-dev (>= 5.0.0~),
+               libkf5kio-dev (>= 5.0.0~),
+               libkf5texteditor-dev,
+               libkf5xmlgui-dev (>= 5.0.0~),
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.6.1~)
-Standards-Version: 3.9.6
+               qtbase5-dev (>= 5.0.0~)
+Standards-Version: 3.9.8
 Homepage: http://www.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin-plugins
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin-plugins
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/dolphin-plugins.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/dolphin-plugins.git
 
 Package: dolphin-plugins
 Architecture: any

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/dolphin-plugins-([\d.]+).tar.xz

## dolphin-plugins 16.12.3

=== debian/changelog ===
dolphin-plugins (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:30:02 +0000

dolphin-plugins (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:18:56 +0000

=== debian/control ===
--- 
+++ 
@@ -9,20 +9,19 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 0.0.11~),
-               kio-dev (>= 5.0.0~),
-               libdolphinvcs-dev,
-               libkf5i18n-dev (>= 5.0.0~),
-               libkf5kdelibs4support-dev (>= 5.0.0~),
-               libkf5kio-dev (>= 5.0.0~),
-               libkf5texteditor-dev,
-               libkf5xmlgui-dev (>= 5.0.0~),
+               extra-cmake-modules (>= 5.31.0~),
+               libdolphinvcs-dev (>= 4:16.12.3~),
+               libkf5i18n-dev (>= 5.31.0~),
+               libkf5kdelibs4support-dev (>= 5.31.0~),
+               libkf5kio-dev (>= 5.31.0~),
+               libkf5texteditor-dev (>= 5.31.0~),
+               libkf5xmlgui-dev (>= 5.31.0~),
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.0.0~)
-Standards-Version: 3.9.8
+               qtbase5-dev (>= 5.6.1~)
+Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/dolphin-plugins.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/dolphin-plugins.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin-plugins
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin-plugins
 
 Package: dolphin-plugins
 Architecture: any

## dolphin-plugins 17.04.3

=== debian/changelog ===
dolphin-plugins (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:34:26 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libdolphinvcs-dev (>= 4:16.12.3~),
+               libdolphinvcs-dev (>= 4:17.04.3~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
@@ -28,6 +28,8 @@
 Section: devel
 Depends: dolphin, ${misc:Depends}, ${shlibs:Depends}
 Enhances: dolphin
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: dolphin VCS plugins
  This package contains plugins that offer integration in Dolphin with the
  following version control systems:

## dolphin-plugins 17.08.3

=== debian/changelog ===
dolphin-plugins (4:17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

  [ Maximiliano Curia ]
  * Update uploaders list as requested by MIA team (Closes: #879287)

  [ Pino Toscano ]
  * New upstream release.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will drop
    translations.
  * Bump Standards-Version to 4.1.1, no changes required.
  * Simplify watch file, and switch it to https.
  * Remove transitional kio-dev build dependency (the non-transitional
    libkf5kio-dev is already there).
  * Bump libdolphinvcs-dev build dependency to >= 17.08.0.
  * Switch debian/dolphin-plugins as local installation directory instead of
    debian/tmp, so there is no need to move everything using
    dolphin-plugins.install.
  * Remove duplicated Priority field in kdesdk-dolphin-plugins.

 -- Pino Toscano <pino@debian.org>  Sun, 26 Nov 2017 10:40:21 +0100

dolphin-plugins (4:17.08.0-1) experimental; urgency=medium

  * New upstream release (17.08.0)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Tue, 12 Sep 2017 15:35:55 +0200

dolphin-plugins (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:31:08 +0000

dolphin-plugins (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:18:16 +0000

dolphin-plugins (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:20:01 +0000

dolphin-plugins (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:10:48 +0000

dolphin-plugins (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:02:28 +0000

dolphin-plugins (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:46:39 +0000

dolphin-plugins (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 16:55:47 +0000

dolphin-plugins (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:13:47 +0000

dolphin-plugins (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:23:09 +0000

dolphin-plugins (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:51:43 +0000

dolphin-plugins (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:38:14 +0000

dolphin-plugins (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:04:55 +0000

dolphin-plugins (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:47:09 +0000

dolphin-plugins (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 11:39:38 +0000

dolphin-plugins (4:16.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Jul 2016 15:04:05 +0000

=== debian/control ===
Source: dolphin-plugins
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 0.0.11~),
               libdolphinvcs-dev (>= 4:17.08.0~),
               libkf5i18n-dev (>= 5.0.0~),
               libkf5kdelibs4support-dev (>= 5.0.0~),
               libkf5kio-dev (>= 5.0.0~),
               libkf5texteditor-dev,
               libkf5xmlgui-dev (>= 5.0.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.0.0~),
Standards-Version: 4.1.1
Homepage: http://www.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/dolphin-plugins.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/dolphin-plugins.git

Package: dolphin-plugins
Architecture: any
Section: devel
Depends: dolphin, ${misc:Depends}, ${shlibs:Depends}
Enhances: dolphin
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: dolphin VCS plugins
 This package contains plugins that offer integration in Dolphin with the
 following version control systems:
 .
  * Bzr
  * Git
  * Mercurial
  * Subversion
 .
 This package is part of the KDE Software Development Kit module.

Package: kdesdk-dolphin-plugins
Architecture: all
Section: oldlibs
Depends: dolphin-plugins
Description: transitional dummy package for dolphin-plugins
 Transitional package for rename to dolphin-plugins.

## dolphin-plugins 17.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -47,3 +47,4 @@
 ecm_optional_add_subdirectory(hg)
 
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
+ki18n_install(po)

=== hg/CMakeLists.txt ===
project(fileviewhgplugin)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    TextEditor
    WidgetsAddons
)

add_definitions(-DTRANSLATION_DOMAIN=\"fileviewhgplugin\" -DQT_NO_URL_CAST_FROM_STRING)

set(fileviewhgplugin_SRCS
    fileviewhgplugin.cpp
    renamedialog.cpp
    commitdialog.cpp
    hgwrapper.cpp
    statuslist.cpp
    branchdialog.cpp
    tagdialog.cpp
    updatedialog.cpp
    clonedialog.cpp
    createdialog.cpp
    syncdialogbase.cpp
    mergedialog.cpp
    pushdialog.cpp
    pulldialog.cpp
    hgconfig.cpp
    configdialog.cpp
    commititemdelegate.cpp
    commitinfowidget.cpp
    pathselector.cpp
    bundledialog.cpp
    exportdialog.cpp
    importdialog.cpp
    servedialog.cpp
    servewrapper.cpp
    backoutdialog.cpp
    dialogbase.cpp
    config-widgets/generalconfig.cpp
    config-widgets/pathconfig.cpp
    config-widgets/ignorewidget.cpp
    config-widgets/pluginsettings.cpp
)


kconfig_add_kcfg_files(fileviewhgplugin_SRCS
    fileviewhgpluginsettings.kcfgc
)

add_library(fileviewhgplugin MODULE ${fileviewhgplugin_SRCS})
target_link_libraries(fileviewhgplugin
    Qt5::Core
    Qt5::Widgets
    KF5::KIOCore
    KF5::I18n
    KF5::CoreAddons
    KF5::WidgetsAddons
    KF5::TextEditor
    DolphinVcs
)

install(FILES fileviewhgplugin.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
install(FILES fileviewhgpluginsettings.kcfg DESTINATION ${KCFG_INSTALL_DIR})
install(TARGETS fileviewhgplugin DESTINATION ${KDE_INSTALL_PLUGINDIR})

=== debian/changelog ===
dolphin-plugins (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:22:49 +0000

dolphin-plugins (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:54:54 +0000

dolphin-plugins (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * Package priority 'extra' is depreciated in favour of 'optional'
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:01:19 +0000

=== debian/control ===
Source: dolphin-plugins
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libdolphinvcs-dev (>= 4:17.12.3~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5texteditor-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin-plugins
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin-plugins

Package: dolphin-plugins
Architecture: any
Section: devel
Depends: dolphin, ${misc:Depends}, ${shlibs:Depends}
Enhances: dolphin
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: dolphin VCS plugins
 This package contains plugins that offer integration in Dolphin with the
 following version control systems:
 .
  * Bzr
  * Git
  * Mercurial
  * Subversion
 .
 This package is part of the KDE Software Development Kit module.

Package: kdesdk-dolphin-plugins
Architecture: all
Section: oldlibs
Priority: optional
Depends: dolphin-plugins
Description: transitional dummy package for dolphin-plugins
 Transitional package for rename to dolphin-plugins.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/dolphin-plugins-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/dolphin-plugins-([\d.]+).tar.xz

## dolphin-plugins 18.04.0

=== debian/changelog ===
dolphin-plugins (4:18.04.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Bump Standards-Version to 4.1.4, no changes required.
  * Use https for Format in copyright.
  * Bump the libdolphinvcs-dev build dependency to >= 4:18.04.0~, to be sure
    to use the latest dolphin.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sun, 22 Apr 2018 10:43:23 +0200

=== debian/control ===
Source: dolphin-plugins
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 0.0.11~),
               libdolphinvcs-dev (>= 4:18.04.0~),
               libkf5i18n-dev (>= 5.0.0~),
               libkf5kdelibs4support-dev (>= 5.0.0~),
               libkf5kio-dev (>= 5.0.0~),
               libkf5texteditor-dev,
               libkf5xmlgui-dev (>= 5.0.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.0.0~),
Standards-Version: 4.1.4
Homepage: http://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/dolphin-plugins
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/dolphin-plugins.git

Package: dolphin-plugins
Architecture: any
Section: devel
Depends: dolphin, ${misc:Depends}, ${shlibs:Depends}
Enhances: dolphin
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: dolphin VCS plugins
 This package contains plugins that offer integration in Dolphin with the
 following version control systems:
 .
  * Bzr
  * Git
  * Mercurial
  * Subversion
 .
 This package is part of the KDE Software Development Kit module.

Package: kdesdk-dolphin-plugins
Architecture: all
Section: oldlibs
Depends: dolphin-plugins
Description: transitional dummy package for dolphin-plugins
 Transitional package for rename to dolphin-plugins.
